@echo off

rem online help                                         jpg 8/94
if %1/==/ goto help

cd ..

echo.
echo Running Csound from ACCCI batch file...
echo.
echo                     ACCCI main group is    %1
echo                     Instrument number is   %2
echo.
echo                     Writing to %SFDIR%\%2.WAV 
echo.

echo.
echo.
echo **********************************************
echo Compiling instrument %2 in Accci group %1
echo **********************************************
echo.
csound -W %1\%2.ORC %1\%2.SCO -o %2.WAV 
cd batch

echo.
echo *******************************************************************
echo.

goto end


:help
cls
echo.
echo HELP on CS
echo.
echo Specify exactly two parameters with the command CS.
echo.
echo The first parameter points to a main group of the ACCCI.
echo The second parameter points to a SWSS instrument.
echo.
echo CS invokes the csound command with the flags -W (for .wav format) 
echo and -o (specifying audio output filename).
echo CS expands the SWSS instrument name with extensions .orc and .sco
echo and writes the soundfile to %SFDIR%\{SWSS instrument}.wav
echo.
echo.
echo EXAMPLE
echo.
echo       CS  20  20_01_1
echo       will run the SWSS instrument 20_01_1 in main group 20.
echo.
echo.
echo.

:end
