@echo off

rem online help                                         jpg 8/94
if %1/==/ goto help

cd ..
echo. | time >> BATCH\csound.log
echo.
echo Running Csound from ACCCI batch file...
echo.
echo                     ACCCI main group is    %1
echo                     Instrument number is   %2
echo.
echo                     No graphical displays of function tables
echo                     No soundfile
echo                     Writing to debug file BATCH\csound.log
echo.

echo. >> BATCH\csound.log
echo. >> BATCH\csound.log
echo *********************************************** >> BATCH\csound.log
echo Compiling instrument %2 in Accci group %1       >> BATCH\csound.log
echo *********************************************** >> BATCH\csound.log
echo. >> BATCH\csound.log
csound -d -n %1\%2.ORC %1\%2.SCO   >> BATCH\csound.log
echo.| time >> BATCH\csound.log
cd batch


echo.
echo *******************************************************************
echo.

goto end


:help
cls
echo.
echo HELP on CSNOSND
echo.
echo Specify exactly two parameters with the command CSNOSND.
echo.
echo The first parameter points to a main group of the ACCCI.
echo The second parameter points to a SWSS instrument.
echo.
echo CSNOSND invokes the csound command with the flags -n (for no 
echo soundfile) and -d (no function table display)
echo.
echo The messages from the csound program are written to BATCH\csound.log
echo.
echo.
echo EXAMPLES
echo.
echo       CSNOSND  20  20_01_1
echo       will run the SWSS instrument 20_01_1 in main group 20.
echo.
echo.
echo.

:end
