<CsoundSynthesizer>
<CsOptions>
</CsOptions>
<CsInstruments>
instr 4                       ; toot4.orc
  iamp = ampdb(p4)            ; convert decibels to linear amp
  iscale = iamp * .333             ; scale the amp at initialization
  inote = cpspch(p5)               ; convert "octave.pitch" to cps
  k1 linen     iscale, p6, p3, p7  ; p4=amp
  a3 oscil     k1, inote*.996, 1   ; p5=freq
  a2 oscil     k1, inote*1.004, 1  ; p6=attack time
  a1 oscil     k1, inote, 1        ; p7=release time
  a1 =    a1 + a2 + a3                     
     out  a1             

endin     

</CsInstruments>
<CsScore>
f1 0 4096 10 1                                 ; sine wave

; instr    start  duration  amp(p4)   freq(p5)  attack(p6) release(p7)         
   i4       0  1        75          8.04     .1     1.7
   i4       1  1        70          8.02     .07    1.6
   i4       2  1        75          8.00     .05    1.5
   i4       3  1        70          8.02     .05    1.4
   i4       4  1        85          8.04     .1     1.5
   i4       5  1        80          8.04     .05    1.5
   i4       6  2        90          8.04     .03     1

 e
</CsScore>
</CsoundSynthesizer>
<bsbPanel>
 <label>Widgets</label>
 <objectName/>
 <x>0</x>
 <y>0</y>
 <width>0</width>
 <height>0</height>
 <visible>true</visible>
 <uuid/>
 <bgcolor mode="nobackground">
  <r>255</r>
  <g>255</g>
  <b>255</b>
 </bgcolor>
</bsbPanel>
<bsbPresets>
</bsbPresets>
