sr        =    18900
kr        =    945
ksmps     =    20
nchnls    =    2              ; stereo
 garvbsig  init      0

instr 10                      ; toot10.orc
   iattack     =    .01
   irelease    =    .2
   iwhite      =    10000
   idur        =    p3
   iamp   =    p4
   isweepstart      =    p5
   isweepend   =    p6
   ibandwidth  =    p7
   ibalance    =    p8        ; pan: 1 = left, .5 = center, 0 = right
   irvbgain    =    p9                                       
 
   kamp   linen     iamp, iattack, idur, irelease
   ksweep line isweepstart, idur, isweepend                  
   asig        rand iwhite
   afilt       reson     asig, ksweep, ibandwidth

   arampsig    =    kamp * afilt                   
          outs      arampsig * ibalance, arampsig * (1 - ibalance)
   garvbsig    =    garvbsig  +  arampsig * irvbgain   

endin

instr 100
    irvbtime    =    p4                                       
            
    asig        reverb  garvbsig,  irvbtime              
           outs      asig, asig               
    garvbsig    =    0

endin